	
Function SimpleSleep overload (Msg As String = EMPTY, VGA as ULongInt=15) As String

	Static VGA_Table( Any ) As String
	Return SimpleSleep ( VGA_Table( ), Msg, VGA )
	
end function

Function SimpleSleep ( VGA_Table ( Any ) As String, Msg As String = "", VGA As ULongInt = 15 ) As String
	
	Dim As String C, CI : C = EMPTY : CI = EMPTY
	
	Color VGA_Lookup2 ( VGA_Table ( ), VGA	)
	
	Dim As String MsgTemp
	MsgTemp = EMPTY
	
	Dim As Long Offset = 0
	Offset = Instr ( Msg, CRLF )
	
	Do While Offset > 0
		
		MsgTemp = Left ( Msg, Offset - 1 )
		Msg = Mid ( Msg, Offset + 2 )
		
		If Left ( MsgTemp, 1 ) = ESC Then

			MsgTemp = Mid ( MsgTemp, 2 )
			
			Print MsgTemp
			Offset = Instr ( Msg, CRLF )
			
			SimpleSleep = EMPTY
			Exit Function
			
		End If

		Print MsgTemp
		Offset = Instr ( Msg, CRLF )
				
	Loop
	
	Print Msg
	Flip
	
	Do	
		CI = InKey ( )
		
		Select Case CI
		Case EMPTY
			Sleep 1, 1
			Continue Do
		Case ESC, MouseCloseEvent

			End			
		
		Case Else
			
			Exit Do
		
		End Select
	
		Sleep 1, 1

	Loop
	
	Return CI
	Exit Function
	
End Function
